Bug 538557 - Review Request: gnome-screensaver-londonpictures - GNOME Screensaver Slideshow of London
Summary: Review Request: gnome-screensaver-londonpictures - GNOME Screensaver Slidesho...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: http://shimansky.biz/pages/products_s...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-18 19:46 UTC by Serguei Shimansky
Modified: 2010-11-16 16:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-16 15:59:18 UTC


Attachments (Terms of Use)

Description Serguei Shimansky 2009-11-18 19:46:26 UTC
Spec URL: http://englishextra.org/pub/rpm/SPECS/gnome-screensaver-londonpictures.spec
SRPM URL: http://englishextra.org/pub/rpm/SOURCES/gnome-screensaver-londonpictures-0.1.tar.bz2
Description: gnome-screensaver-londonpictures is an addon screen saver for GNOME Screensaver that provides a slideshow of freely distributable frog pictures. Requires: gnome-screensaver

Comment 1 Bill Nottingham 2009-11-18 19:51:05 UTC
Obvious comment: frog pictures? (in the description)

Comment 2 Serguei Shimansky 2009-11-18 19:58:19 UTC
(In reply to comment #1)
> Obvious comment: frog pictures? (in the description)  

Not exactly. At first it was used to distribute thru commands in terminal.

su
cd /usr/share/applications/screensavers
rm -f --verbose londonpictures-slideshow.desktop
cd /usr/share/pixmaps/backgrounds
rm -rf --verbose londonpictures

if [[ "$HOME" != "/root" ]]
then su
fi
cd /home/$USER
residefolder="http://englishextra.org/pub"
targetfoldername="londonpictures"
archievename="$targetfoldername.tar.bz2"
wget `echo "$residefolder/$archievename"`
tar xjvf `echo "$targetfoldername.tar.bz2"`
mv -f `echo "$targetfoldername/${targetfoldername}-slideshow.desktop"` "/usr/share/applications/screensavers"
#mv -f `echo "$targetfoldername/${targetfoldername}.xml"` "/usr/share/applications/screensavers"
mv -f `echo "$targetfoldername"` /usr/share/pixmaps/backgrounds
#gconftool-2 --type string --set /schemas/apps/gnome-screensaver/lock_dialog_theme "$targetfoldername"
rm -f `echo "$targetfoldername.tar.bz2"`
rm -f `echo "$targetfoldername.tar"`
zenity --info --text="Vyberite \'${targetfoldername}\' v kachestve zastavki"
if [[ "$HOME" == "/root" ]]
then exit
fi
/usr/bin/gnome-screensaver-preferences
#/schemas/apps/gnome-screensaver


When it came to building a noarch RPM the Frogs spec file was used as a template. Is it a barrier for something, please let me know.

Comment 3 Bill Nottingham 2009-11-18 20:08:02 UTC
It's not a barrier, you just likely want to fix the description.

Comment 4 Serguei Shimansky 2009-11-18 20:09:39 UTC
Thanks. Will be done.

Comment 5 Serguei Shimansky 2009-11-18 21:12:49 UTC
(In reply to comment #0)
> Spec URL:
> http://englishextra.org/pub/rpm/SPECS/gnome-screensaver-londonpictures.spec
> SRPM URL:
> http://englishextra.org/pub/rpm/SOURCES/gnome-screensaver-londonpictures-0.1.tar.bz2
> Description: gnome-screensaver-londonpictures is an addon screen saver for
> GNOME Screensaver that provides a slideshow of freely distributable frog
> pictures. Requires: gnome-screensaver  

The Description has been edited for the reason described by Bill Nottingham (notting@redhat.com) in a comment below.

Comment 6 Serguei Shimansky 2009-11-19 23:42:18 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > Obvious comment: frog pictures? (in the description)  
> 
> Not exactly. At first it was used to distribute thru commands in terminal.
> 
> su
> cd /usr/share/applications/screensavers
> rm -f --verbose londonpictures-slideshow.desktop
> cd /usr/share/pixmaps/backgrounds
> rm -rf --verbose londonpictures
> 
> if [[ "$HOME" != "/root" ]]
> then su
> fi
> cd /home/$USER
> residefolder="http://englishextra.org/pub"
> targetfoldername="londonpictures"
> archievename="$targetfoldername.tar.bz2"
> wget `echo "$residefolder/$archievename"`
> tar xjvf `echo "$targetfoldername.tar.bz2"`
> mv -f `echo "$targetfoldername/${targetfoldername}-slideshow.desktop"`
> "/usr/share/applications/screensavers"
> #mv -f `echo "$targetfoldername/${targetfoldername}.xml"`
> "/usr/share/applications/screensavers"
> mv -f `echo "$targetfoldername"` /usr/share/pixmaps/backgrounds
> #gconftool-2 --type string --set
> /schemas/apps/gnome-screensaver/lock_dialog_theme "$targetfoldername"
> rm -f `echo "$targetfoldername.tar.bz2"`
> rm -f `echo "$targetfoldername.tar"`
> zenity --info --text="Vyberite \'${targetfoldername}\' v kachestve zastavki"
> if [[ "$HOME" == "/root" ]]
> then exit
> fi
> /usr/bin/gnome-screensaver-preferences
> #/schemas/apps/gnome-screensaver
> 
> 
> When it came to building a noarch RPM the Frogs spec file was used as a
> template. Is it a barrier for something, please let me know.  

The installation code in terminal is now as follows:

su -c '
cd /usr/share/applications/screensavers
rm -f --verbose londonpictures-slideshow.desktop
cd /usr/share/pixmaps/backgrounds
rm -rf --verbose londonpictures
yum remove gnome-screensaver-londonpictures
cd /tmp
wget http://englishextra.org/pub/rpm/RPMS/noarch/gnome-screensaver-londonpictures-0.1-1.noarch.rpm
rpm -Uvh http://englishextra.org/pub/rpm/RPMS/noarch/gnome-screensaver-londonpictures-0.1-1.noarch.rpm'

Comment 7 Jason Tibbitts 2009-11-21 03:08:57 UTC
Serguei, I can't find any existing Fedora account that looks like it matches your name or email address.  Do you have a Fedora account?  Have you already been sponsored into the packager group?

If not, please read through http://fedoraproject.org/wiki/Join_the_package_collection_maintainers

Comment 8 Serguei Shimansky 2009-11-21 05:43:05 UTC
(In reply to comment #7)
> Serguei, I can't find any existing Fedora account that looks like it matches
> your name or email address.  Do you have a Fedora account?  Have you already
> been sponsored into the packager group?
> 
> If not, please read through
> http://fedoraproject.org/wiki/Join_the_package_collection_maintainers  



Account Name:
    englishextra
Full Name:
    Serguei Shimansky
Email:
    englishextra@yandex.ru 
Telephone Number:
...........................
Country:
    RU 
PGP Key:
...........................
Public SSH Key:
...........................
Comments:
    Priavte teacher of English, based in Moscow, Russia, would like to submit some some rpms to fedoraproject 
Password:
    Valid (change)
Account Status:
    Active 
CLA:
    CLA Done 
Privacy:
    Account Information Private 

Write me if something hasn't been done yet.

Comment 9 Serguei Shimansky 2010-06-15 19:45:04 UTC
(In reply to comment #0)
> Spec URL:
> http://englishextra.org/pub/rpm/SPECS/gnome-screensaver-londonpictures.spec
> SRPM URL:
> http://englishextra.org/pub/rpm/SOURCES/gnome-screensaver-londonpictures-0.1.tar.bz2
> Description: gnome-screensaver-londonpictures is an addon screen saver for
> GNOME Screensaver that provides a slideshow of freely distributable frog
> pictures. Requires: gnome-screensaver    

URLs have changed:

Spec URL:
http://pub.shimansky.biz/rpm/SPECS/gnome-screensaver-londonpictures.spec
SRPM URL:
http://pub.shimansky.biz/rpm/SOURCES/gnome-screensaver-londonpictures-0.1.tar.bz2
Description: gnome-screensaver-londonpictures is an addon screen saver for
GNOME Screensaver that provides a slideshow of freely distributable frog
pictures. Requires: gnome-screensaver

Comment 10 Jason Tibbitts 2010-11-16 15:20:59 UTC
A couple of random comments:

That's not an srpm you're linking to.

I really hate to say this but I feel I must.  These pictures are not very good.  The really aren't the kind of thing I personally feel we'd want to put on every Fedora mirror and make available to every Fedora user.

I'm pretty sure all of the desktop environments (Gnome included) have a screensaver that will show images placed in a folder.  Probably even from an account on one of the picture sharing services (flickr, picasa, etc.).  That's a far better avenue for this kind of thing.

Perhaps someone else will feel differently; I wouldn't want to close this ticket simply based on my opinion.  However, this ticket has been sitting around for a year now.  It's a trivial review.  Perhaps the other reviewers feel they can't review it because you haven't provided an srpm they can build.  Or perhaps they agree with me but didn't wish to respond; I can't really say.

Comment 11 Richard W.M. Jones 2010-11-16 15:59:18 UTC
Let's stop mucking about and close this as WONTFIX.  I suspect
this is some sort of troll or attempt to subvert Fedora (if someone
installed this it would have root access to their machines and
we don't have close supervision of what goes into a package after
it has been approved).

Comment 12 Serguei Shimansky 2010-11-16 16:09:31 UTC
Well gentlemen:

This is not a troll this is the author: http://rocid.ru/person/78189/

The author's page: http://shimansky.biz/

Project's page on SourceForge.net: http://sourceforge.net/projects/londonpictures/files/

For the time being I see no use continuing this package, because of the lack of quality pictures.

>>>it would have root access to their machines and
we don't have close supervision of what goes into a package after
it has been approved).

This is something rude. I would be obliged if you could name/point out the pieces of code or whatever that prove your accusations.

I agree to close the ticket, for the reason I mentioned above.


Note You need to log in before you can comment on or make changes to this bug.